//These variables will get set automatically
texture tex1;

float2 rcpres;

sampler s0 = sampler_state { texture = <tex1>; };



float4 NormalColourPass( in float2 Tex : TEXCOORD0 ) : COLOR0
{
	float4 color = tex2D( s0, Tex );
	color.a = 1;
	return color;
}

float4 SharpenPass( in float2 Tex : TEXCOORD0 ) : COLOR0
{
	float4 Color = tex2D( s0, Tex.xy );
	float Sharpenfactor = 30; //Make this between 10 and 50;

        Color -= tex2D( s0, Tex.xy+0.0001)*Sharpenfactor;
	Color += tex2D( s0, Tex.xy-0.0001)*Sharpenfactor;

	Color.a = 1.0;
	return Color;
}




Technique T0
{

    pass p0 { PixelShader = compile ps_2_0 NormalColourPass(); }
    pass p1 { PixelShader = compile ps_2_0 SharpenPass(); }
}

